Categories:
  - Sports & Health
License: GPL-3.0-or-later
AuthorName: Eskild Hustvedt
AuthorWebSite: https://www.zerodogg.org/
WebSite: https://migrainelog.zerodogg.org/
SourceCode: https://gitlab.com/zerodogg/org.zerodogg.migraineLog
IssueTracker: https://gitlab.com/zerodogg/org.zerodogg.migraineLog/issues
Donate: https://www.buymeacoffee.com/zerodogg

AutoName: MigraineLog

RepoType: git
Repo: https://gitlab.com/zerodogg/org.zerodogg.migraineLog.git

Builds:
  - versionName: 0.3.1
    versionCode: 311
    commit: v0.3.1
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
      - scripts
    prebuild:
      - echo "sdk.dir=$$SDK$$" > android/local.properties
      - echo "flutter.sdk=$$flutter$$" >> android/local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - PATH=$$flutter$$/bin:$$flutter$$/bin/cache/dart-sdk/bin/:$PATH make setRelVariant
        fatapk BUILD_NO=$$VERCODE$$

  - versionName: 0.4.0
    versionCode: 334
    commit: v0.4.0
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
      - scripts
    prebuild:
      - echo "sdk.dir=$$SDK$$" > android/local.properties
      - echo "flutter.sdk=$$flutter$$" >> android/local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - PATH=$$flutter$$/bin:$$flutter$$/bin/cache/dart-sdk/bin/:$PATH make setRelVariant
        fatapk BUILD_NO=$$VERCODE$$

  - versionName: 0.5.0
    versionCode: 364
    commit: v0.5.0
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
      - scripts
    prebuild:
      - echo "sdk.dir=$$SDK$$" > android/local.properties
      - echo "flutter.sdk=$$flutter$$" >> android/local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - PATH=$$flutter$$/bin:$$flutter$$/bin/cache/dart-sdk/bin/:$PATH make setRelVariant
        fatapk BUILD_NO=$$VERCODE$$

  - versionName: 0.5.1
    versionCode: 374
    commit: v0.5.1
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
      - scripts
    prebuild:
      - echo "sdk.dir=$$SDK$$" > android/local.properties
      - echo "flutter.sdk=$$flutter$$" >> android/local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - PATH=$$flutter$$/bin:$$flutter$$/bin/cache/dart-sdk/bin/:$PATH make setRelVariant
        fatapk BUILD_NO=$$VERCODE$$

  - versionName: 0.6.0
    versionCode: 405
    commit: v0.6.0
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
    prebuild:
      - echo "sdk.dir=$$SDK$$" > android/local.properties
      - echo "flutter.sdk=$$flutter$$" >> android/local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - PATH=$$flutter$$/bin:$$flutter$$/bin/cache/dart-sdk/bin/:$PATH make fdroid
        BUILD_NO=$$VERCODE$$

  - versionName: 0.6.1
    versionCode: 427
    commit: v0.6.1
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
    prebuild:
      - echo "sdk.dir=$$SDK$$" > android/local.properties
      - echo "flutter.sdk=$$flutter$$" >> android/local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - PATH=$$flutter$$/bin:$$flutter$$/bin/cache/dart-sdk/bin/:$PATH make fdroid
        BUILD_NO=$$VERCODE$$

  - versionName: 0.7.0
    versionCode: 447
    commit: v0.7.0
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.22.6
    rm:
      - ios
      - test
    prebuild:
      - echo "sdk.dir=$$SDK$$" > android/local.properties
      - echo "flutter.sdk=$$flutter$$" >> android/local.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - PATH=$$flutter$$/bin:$$flutter$$/bin/cache/dart-sdk/bin/:$PATH make fdroid
        BUILD_NO=$$VERCODE$$

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
UpdateCheckData: https://zerodogg.gitlab.io/org.zerodogg.migraineLog/latest.yml|versionCode:\s(\d+)|.|version:\s(.+)
CurrentVersion: 0.7.0
CurrentVersionCode: 447
